<%@ Page Inherits="Microsoft.Crm.Web.Activities.AppointmentDetailPage" CodeBehind="Microsoft.Crm.Application.Pages.dll" %>
<%@ Register TagPrefix="frm" Namespace="Microsoft.Crm.Application.Forms" Assembly="Microsoft.Crm.Application.Components.Application" %>
<%@ Register TagPrefix="mnu" Namespace="Microsoft.Crm.Application.Menus" Assembly="Microsoft.Crm.Application.Components.Application" %>
<%@ Register TagPrefix="cnt" Namespace="Microsoft.Crm.Application.Controls" Assembly="Microsoft.Crm.Application.Components.Application" %>
<%@ Register TagPrefix="sdk" Namespace="Microsoft.Crm.Application.Components.Sdk.FormControls.Web" Assembly="Microsoft.Crm.Application.Components.Sdk.FormControls" %>
<html>
<head>
<cnt:AppHeader id="crmHeader" runat="server" />

<script language="JavaScript" src="../../c360/tools/netspell/spell.js" type="text/javascript"></script>

<script language="javascript">
function window.onload()
{
initDates();
crmForm.attachEvent("onsave", CustomFormSubmit);

<% RenderFocusControl(); %>
<% RenderInitCalendar(); %>
}

function RefreshGrid()
{
<%Page.Response.Write(Microsoft.Crm.Utility.Script.BuildGridRefreshCallback(CurrentActivity.Type, false));%>
}


function IsDirtyForScheduling()
{
return  (crmForm.statuscode != null && crmForm.statuscode.IsDirty) ||
(crmForm.statecode != null && crmForm.statecode.IsDirty) ||
(scheduledstart != null && scheduledstart.IsDirty) ||
(scheduledend != null && scheduledend.IsDirty) ||
(crmForm.serviceid != null && crmForm.serviceid.IsDirty) ||
(crmForm.organizer != null && crmForm.organizer.IsDirty) ||
(crmForm.optionalattendees != null && crmForm.optionalattendees.IsDirty) ||
(crmForm.requiredattendees != null && crmForm.requiredattendees.IsDirty);
}

</script>
</head>
<body scroll="no">

<div STYLE="position:absolute;left:475px;top:24px;height:60px;width:100px">
	<table border=0>
		<tr>
			<td onclick="checkSpelling( document )" 
					
					valign="middle" style="background-position: left center;
					background-image: url(../../c360/c360Icon.gif);
					vertical-align: baseline;
					background-repeat: no-repeat;
					text-align: center;cursor:hand;font-size: 11px;padding-left: 18px;padding-right: 5px;">
				Spell Check
			</td>
		</tr>
	</table>
</div>


<table class="layout" cellspacing="0" cellpadding="0">
<tr height="80">
<td>
<mnu:AppFormMenuBar id="crmMenuBar" runat="server" />
</td>
</tr>
<tr>
<td>
<div id="areaForm" class="area">
<frm:ActivityForm id="crmForm" runat="server" />
</div>
</td>
</tr>
<tr>
<td class="statusBar">
<sdk:RenderStatusControl id="crmRenderStatus" runat="server" />
</td>
</tr>
</table>
</body>
</html>
