<%@ Page Inherits="Microsoft.Crm.Web.Activities.EmailDetailPage" CodeBehind="Microsoft.Crm.Application.Pages.dll"%>
<%@ Register TagPrefix="frm" Namespace="Microsoft.Crm.Application.Forms" Assembly="Microsoft.Crm.Application.Components.Application" %>
<%@ Register TagPrefix="mnu" Namespace="Microsoft.Crm.Application.Menus" Assembly="Microsoft.Crm.Application.Components.Application" %>
<%@ Register TagPrefix="cnt" Namespace="Microsoft.Crm.Application.Controls" Assembly="Microsoft.Crm.Application.Components.Application" %>
<%@ Register TagPrefix="cal" Namespace="Microsoft.Crm" Assembly="Microsoft.Crm.Application.Components.Application" %>
<%@ Register TagPrefix="crm" Namespace="Microsoft.Crm.Controls" Assembly="Microsoft.Crm.Application.Components.UI" %>
<%@ Register TagPrefix="sdk" Namespace="Microsoft.Crm.Application.Components.Sdk.FormControls.Web" Assembly="Microsoft.Crm.Application.Components.Sdk.FormControls" %>
<%@ Register TagPrefix="loc" Namespace="Microsoft.Crm.Application.Controls.Localization" Assembly="Microsoft.Crm.Application.Components.Application" %>
<%@ Import Namespace="Microsoft.Crm.Application.Types"%>
<%@ Import Namespace="Microsoft.Crm.Utility" %>
<%@ Import Namespace="System.Globalization" %>

<html>
<head>

<cnt:AppHeader id="crmHeader" runat="server" />

<script language="JavaScript" src="../../c360/tools/netspell/spell.js" type="text/javascript"></script>

<script language="JavaScript">


function window.onload()
{
<%
RenderFocusControl();
RenderOnloadScript();
RenderInitCalendar();
%>

crmForm.attachEvent("onsave", SubmitAndDetach);

if (isForward)
{
crmForm.attachEvent("onclose", DoDeleteConfirmation);
}
}

function send()
{

if ( crmForm.all.from.Items().length <= 0 )
{
alert(LOCID_EMAIL_SENDER_REQUIRED);
return;
}



var numberOfRecipients = crmForm.all.to.Items().length;

if (!IsNull(crmForm.all.cc))
{
numberOfRecipients += crmForm.all.cc.Items().length;
}
if (!IsNull(crmForm.all.bcc))
{
numberOfRecipients += crmForm.all.bcc.Items().length;
}


if (numberOfRecipients <= 0)
{
alert(LOCID_EMAIL_RECIPIENT_REQUIRED);
return;
}

crmForm.SubmitCrmForm(<%=((int)FormEventId.EmailSend).ToString("D", CultureInfo.InvariantCulture)%>, true, true, false);
}

function reply()
{
openFrmObj( "<% RenderReplyParams(); %>", buildWinName(), Email );
}

function replyall()
{
openFrmObj( "<% RenderReplyAllParams(); %>", buildWinName(), Email );
}

function forward()
{
openFrmObj( "<% RenderForwardParams(); %>", buildWinName(), Email );
}



function DoDeleteConfirmation()
{
if (_bDeletePrivilege && window.confirm(LOCID_EMAIL_FORWARD_DELETECONF))
{

var command = new RemoteCommand("ActivitiesWebService", "DeleteActivity");
command.SetParameter("id", crmFormSubmit.crmFormSubmitId.value);
command.SetParameter("objectTypeCode", Email);
var result = command.Execute();


event.returnValue = "";
}
else
{

event.returnValue = null;
}
}


function SubmitAndDetach()
{
CustomActivitySubmit();
if (isForward)
{

crmForm.detachEvent("onclose", DoDeleteConfirmation);
}
}

function TemplateTarget( oid, otype)
{
this.oid = oid;
this.otype = otype;
}

function ChooseTemplateTarget()
{

var sUrl = "/activities/email/dlg_template_target.aspx?";


var oSelectedId, oSelectedType;


var bAlert = false;


var nObjects = 0;


var bConflicts = false;
var iId;



var RegardingItems = crmForm.all.regardingobjectid.Items();
if (RegardingItems.length > 0 && isValidTemplateObjectType(RegardingItems[0].type))
{
nObjects++;
var sUrlElement = "oid=" + encodeURIComponent(RegardingItems[0].id) +
"&otype=" + encodeURIComponent(RegardingItems[0].type) +
"&oname=" + encodeURIComponent(RegardingItems[0].name) + "&opart=re&";
if (sUrl.length + sUrlElement.length < 2000)
sUrl += sUrlElement;
else
bAlert = true;

oSelectedId = RegardingItems[0].id;
oSelectedType = RegardingItems[0].type;
iId = oSelectedId;
}


var ToRecipients = crmForm.all.to.Items();
for (var i = 0; i < ToRecipients.length; i++)
{
if (isValidTemplateObjectType(ToRecipients[i].type))
{
nObjects++;
var sUrlElement = "oid=" + encodeURIComponent(ToRecipients[i].id) +
"&otype=" + encodeURIComponent(ToRecipients[i].type) +
"&oname=" + encodeURIComponent(ToRecipients[i].name) + "&opart=to&";
if (sUrl.length + sUrlElement.length < 2000)
{
sUrl += sUrlElement;
}
else
{
bAlert = true;
}
oSelectedId = ToRecipients[i].id;
oSelectedType = ToRecipients[i].type;


if (!bConflicts)
{
if (IsNull(iId))
{
iId = oSelectedId;
}

bConflicts = (iId != oSelectedId);
}
}
}


if (!IsNull(crmForm.all.cc))
{
var CcRecipients = crmForm.all.cc.Items();
for (var i = 0; i < CcRecipients.length; i++)
{
if (isValidTemplateObjectType(CcRecipients[i].type))
{
nObjects++;
var sUrlElement = "oid=" + encodeURIComponent(CcRecipients[i].id) +
"&otype=" + encodeURIComponent(CcRecipients[i].type) +
"&oname=" + encodeURIComponent(CcRecipients[i].name) + "&opart=cc&";
if (sUrl.length + sUrlElement.length < 2000)
sUrl += sUrlElement;
else
bAlert = true;

oSelectedId = CcRecipients[i].id;
oSelectedType = CcRecipients[i].type;


if (!bConflicts)
{
if (IsNull(iId))
{
iId = oSelectedId;
}
bConflicts = (iId != oSelectedId);
}
}
}
}

if (nObjects == 0)
{
if(RegardingItems.length > 0 && RegardingItems[0].type==BulkOperation)
{
alert(LOCID_EMAIL_CHANGE_REGARDING);
}
else
{
alert(LOCID_EMAIL_RECIPIENT_TMPLT_RQD);
}
return null;
}

if (nObjects > 1 && bConflicts)
{
if (bAlert)
alert(LOCID_EMAIL_TOO_MANY_TARGETS);

var sResponse = openStdDlg(sUrl, null, 600, 350);
if (sResponse == null)
return;

oSelectedId = sResponse.oid;
oSelectedType = sResponse.otype;
}

return new TemplateTarget(oSelectedId, oSelectedType);
}

function ApplyTemplate()
{
var oTarget = ChooseTemplateTarget();

if (oTarget == null)
return;

var sUrl = "/_grid/cmds/dlg_bulkemail.aspx?bulkemail=false" + "&objectTypeCode=" + oTarget.otype + "&objectId=" + oTarget.oid;
var sResponse = openStdDlg(sUrl, null, 600, 350);

if (sResponse != null)
{
crmForm.all.description.InsertValue( sResponse.EmailBody );
crmForm.all.subject.DataValue = sResponse.EmailSubject.substr(0, crmForm.all.subject.MaxLength);
}
}


function InsertKBArticle()
{
var sUrl = "/CS/dialogs/KBSearch.aspx?HideEmailButton=true";
var oLookupItems = openStdDlg(sUrl, null, 700, 500);

if (!IsNull(oLookupItems))
{
var oId = oLookupItems.items[0].id;
if (!IsNull(oId))
{
sUrl = "/CS/articles/viewer/content.aspx?id="+oId;
var oXmlHttp = new ActiveXObject("Msxml2.XMLHTTP");
oXmlHttp.Open("POST", sUrl, false);
oXmlHttp.Send("");
if (oXmlHttp.responseText != null)
{
crmForm.all.description.InsertValue(oXmlHttp.responseText);
}
}
}
}

function assignEmail( )
{
crmForm.SubmitCrmForm(<%=(int)FormEventId.EmailAssign%>, true, true, false);
}






function isValidTemplateObjectType(nObjectType)
{
return (nObjectType != Queue && nObjectType!=BulkOperation && !IsUserDefinedEntityObjectTypeCode(nObjectType));
}

</script>

<style>

IMG.luu
{
height:				16px;
width:				16px;
vertical-align:		middle;
margin-left:		2px;
margin-right:		5px;
}

td.info
{
background-Color:#ffffcc;
border: 1px solid #919276;
}

span.button
{
background-Color:#ffffff;
border: 1px solid #919191;
cursor: hand;
}

</style>
</head>
<body scroll="no">

<div STYLE="position:absolute;left:475px;top:24px;height:60px;width:100px">
	<table border=0>
		<tr>
			<td onclick="checkSpelling()" 
					valign="middle" style="background-position: left center;
					background-image: url(../../c360/c360Icon.gif);
					vertical-align: baseline;
					background-repeat: no-repeat;
					text-align: center;cursor:hand;font-size: 11px;padding-left: 18px;padding-right: 5px;">
				Spell Check
			</td>
		</tr>
	</table>
</div>


<table class="layout" cellspacing="0" cellpadding="0">
<tr height="80">
<td>
<mnu:AppFormMenuBar id="crmMenuBar" runat="server" />
</td>
</tr>
<tr>
<td>
<div id="areaForm" class="area">
<frm:EmailActivityForm id="crmForm" runat="server" />
</div>
</td>
</tr>
<tr>
<td class="statusBar">
<sdk:RenderStatusControl id="crmRenderStatus" runat="server" />
</td>
</tr>
</table>
</body>
</html>
