<%@ Page Inherits="Microsoft.Crm.Web.Activities.FaxDetailPage" CodeBehind="Microsoft.Crm.Application.Pages.dll"%>
<%@ Register TagPrefix="frm" Namespace="Microsoft.Crm.Application.Forms" Assembly="Microsoft.Crm.Application.Components.Application" %>
<%@ Register TagPrefix="mnu" Namespace="Microsoft.Crm.Application.Menus" Assembly="Microsoft.Crm.Application.Components.Application" %>
<%@ Register TagPrefix="cnt" Namespace="Microsoft.Crm.Application.Controls" Assembly="Microsoft.Crm.Application.Components.Application" %>
<%@ Register TagPrefix="sdk" Namespace="Microsoft.Crm.Application.Components.Sdk.FormControls.Web" Assembly="Microsoft.Crm.Application.Components.Sdk.FormControls" %>
<%@ Import Namespace="Microsoft.Crm.Application.Types"%>
<%@ Register TagPrefix="loc" Namespace="Microsoft.Crm.Application.Controls.Localization" Assembly="Microsoft.Crm.Application.Components.Application" %>
<%@ Import Namespace="Microsoft.Crm.Utility" %>
<%@ Import Namespace="System.Globalization" %>
<html>
<head>
<cnt:AppHeader id="crmHeader" runat="server" />

<script language="javascript">

function window.onload( )
{
<%
RenderFocusControl();
RenderInitCalendar();
%>
}


function updateFaxNumber()
{

if (null != event.result)
{
var oItems = event.result.items;
if (0 < oItems.length)
{
var oItem = oItems[0];
var oItemValue = oItem.keyValues["fax"];
if (null == oItemValue)
{
oItemValue = oItem.keyValues["address1_fax"];
}
if (null != oItemValue)
{
oItemValue = oItemValue.value;
}
else
{
oItemValue = "";
}

var faxNumberControl = crmForm.all.faxnumber;
if (null != faxNumberControl && oItemValue != "")
{
crmForm.all.faxnumber.value = oItemValue;
}
}
}
}


function send()
{

if (crmForm.all.from.Items().length <= 0)
{
alert(LOCID_FAX_SENDER_REQUIRED);
return;
}


var numberOfRecipients = crmForm.all.to.Items().length;
if (numberOfRecipients <= 0)
{
alert(LOCID_FAX_RECIPIENT_REQUIRED);
return;
}


if (numberOfRecipients > 1)
{
alert(LOCID_FAX_TOO_MANY_RECIPIENTS);
return;
}


crmForm.SubmitCrmForm(<%=((int)FormEventId.FaxSend).ToString("D", CultureInfo.InvariantCulture)%>, true, true, false);
}
</script>
</head>
<body>


<div STYLE="position:absolute;left:185px;top:24px;height:60px;width:100px">
	<table border=0>
		<tr>
			<td onclick="javascript:
					try
					{
						var SpellChecker = new ActiveXObject('ieSpell.ieSpellExtension');
						SpellChecker.CheckAllLinkedDocuments(window);
					} catch (e) {
						alert('Spell-check failed to load.  Error: '+ e.message);
					}"
					
					valign="middle" style="background-position: left center;
					background-image: url(../../c360/c360Icon.gif);
					vertical-align: baseline;
					background-repeat: no-repeat;
					text-align: center;cursor:hand;font-size: 11px;padding-left: 18px;padding-right: 5px;">
				Spell Check
			</td>
		</tr>
	</table>
</div>


<table class="layout" cellspacing="0" cellpadding="0">
<tr height="80">
<td>
<mnu:AppFormMenuBar id="crmMenuBar" runat="server" />
</td>
</tr>
<tr>
<td>
<div id="areaForm" class="area">
<frm:ActivityForm id="crmForm" runat="server" />
</div>
</td>
</tr>
<tr>
<td class="statusBar">
<sdk:RenderStatusControl id="crmRenderStatus" runat="server" />
</td>
</tr>
</table>
</body>
</html>
