<%@ Page language="c#" Inherits="Microsoft.Crm.Web.MA.CampaignActivityDetailPage" CodeBehind="Microsoft.Crm.Application.Pages.dll"%>
<%@ Register TagPrefix="frm" Namespace="Microsoft.Crm.Application.Forms" Assembly="Microsoft.Crm.Application.Components.Application" %>
<%@ Register TagPrefix="mnu" Namespace="Microsoft.Crm.Application.Menus" Assembly="Microsoft.Crm.Application.Components.Application" %>
<%@ Register TagPrefix="cnt" Namespace="Microsoft.Crm.Application.Controls" Assembly="Microsoft.Crm.Application.Components.Application" %>
<%@ Register TagPrefix="sdk" Namespace="Microsoft.Crm.Application.Components.Sdk.FormControls.Web" Assembly="Microsoft.Crm.Application.Components.Sdk.FormControls" %>
<%@ Import Namespace="Microsoft.Crm"%>
<%@ Import Namespace="Microsoft.Crm.Application.Types"%>
<%@ Register TagPrefix="loc" Namespace="Microsoft.Crm.Application.Controls.Localization" Assembly="Microsoft.Crm.Application.Components.Application" %>
<%@ Import Namespace="Microsoft.Crm.Utility" %>
<html>
<head>
<cnt:AppHeader id="crmHeader" runat="server" />
<script language="Javascript">

function locAssocObj(iType, sSubType)
{
switch(iType)
{
case List:
var lookupItems = LookupObjects(null, "multi", "ListsForCampaign", "4300", "0", null, "campaignActivityId=" + crmFormSubmit.crmFormSubmitId.value, "0" );
break;

case SalesLiterature:
var lookupItems = LookupObjects(null, "multi", "SalesLiterature", "1038", 0);
break;
}

if(IsNull(lookupItems) == false)
{
if(lookupItems.items.length > 0)
{
AssociateObjects(crmFormSubmit.crmFormSubmitObjectType.value, crmFormSubmit.crmFormSubmitId.value, iType, lookupItems, false, sSubType);
}
}
}

function window.onload( )
{
attachTimeControlEvents();
}

function attachTimeControlEvents( )
{
scheduledend.attachEvent( "onchange", scheduledEndChanged );
scheduledstart.attachEvent( "onchange", scheduledStartChanged );
actualstart.attachEvent( "onchange", actualStartChanged );
actualend.attachEvent("onchange", actualEndChanged);
}
function actualStartChanged( )
{
if( !IsNull(actualstart.DataValue) && !IsNull(actualend.DataValue) )
{
try
{

if( actualend.DataValue < actualstart.DataValue )
{
alert(LOCID_STARTDATE_GREATERTHAN_END);
actualstart.DataValue = null;
}
}
catch (e) {}
}
}

function scheduledStartChanged( )
{
if( !IsNull(scheduledstart.DataValue) && !IsNull(scheduledend.DataValue) )
{
try
{

if( scheduledend.DataValue <  scheduledstart.DataValue )
{
alert(LOCID_STARTDATE_GREATERTHAN_END);
scheduledstart.DataValue = null;
}
}
catch (e) {}
}
}

function actualEndChanged( )
{
if( !IsNull(actualend.DataValue) && !IsNull(actualstart.DataValue) )
{
try
{

if( actualend.DataValue <  actualstart.DataValue )
{
alert(LOCID_ENDDATE_LESSTHAN_STARTDATE);
actualend.DataValue = null;
}
}
catch (e) {}
}
}

function scheduledEndChanged( )
{
if( !IsNull(scheduledend.DataValue) && !IsNull(scheduledstart.DataValue) )
{
try
{

if( scheduledend.DataValue <  scheduledstart.DataValue )
{
alert(LOCID_ENDDATE_LESSTHAN_STARTDATE);
scheduledend.DataValue = null;
}
}
catch (e) {}
}
}

function DoDistribute(sGrid, iObjType, sAction, sObjId)
{
try
{
var command = new RemoteCommand("MarketingAutomation","GetTargetListAssociated");
var campaignActivityId = sObjId;
command.SetParameter("CampaignActivityId", campaignActivityId);
var result = command.Execute();
var targetlist = result.ReturnValue;
if (targetlist == 0)
{
sAction = "nolistassociated";
}
doAction(sGrid, iObjType, sAction, sObjId);
}
catch(e)
{

}
}

</script>
</head>
<body>

<div STYLE="position:absolute;left:455px;top:24px;height:60px;width:100px">
	<table border=0>
		<tr>
			<td onclick="javascript:
					try
					{
						var SpellChecker = new ActiveXObject('ieSpell.ieSpellExtension');
						SpellChecker.CheckAllLinkedDocuments(window);
					} catch (e) {
						alert('Spell-check failed to load.  Error: '+ e.message);
					}"
					
					valign="middle" style="background-position: left center;
					background-image: url(../../c360/c360Icon.gif);
					vertical-align: baseline;
					background-repeat: no-repeat;
					text-align: center;cursor:hand;font-size: 11px;padding-left: 18px;padding-right: 5px;">
				Spell Check
			</td>
		</tr>
	</table>
</div>

<table class="layout" cellspacing="0" cellpadding="0">
<col width="<loc:Text ResourceId='DetailForm_Left_Navigation_Width' runat='server'/>"><col>
<tr height="80">
<td colspan="2">
<mnu:AppFormMenuBar id="crmMenuBar" runat="server"/>
</td>
</tr>
<tr>
<td class="leftBar">
<cnt:AppNavigationBar id="crmNavBar" DefaultItemID="navInfo" runat="server"/>
</td>
<td id="tdAreas">
<div id="areaForm" class="area">
<frm:CrudForm id="crmForm" runat="server" />
</div>
</td>
</tr>
<tr>
<td class="statusBar" colspan="2">
<sdk:RenderStatusControl id="crmRenderStatus" runat="server" />
</td>
</tr>
</table>

</body>
</html>
